passkeyGenerateAuthenticateOptions
GET
/passkey/generate-authenticate-options
const url = 'https://gymgym.club/api/auth/passkey/generate-authenticate-options';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://gymgym.club/api/auth/passkey/generate-authenticate-options \ --header 'Authorization: Bearer <token>'Generate authentication options for a passkey
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Success
Media typeapplication/json
object
challenge
string
rp
object
name
string
id
string
user
object
id
string
name
string
displayName
string
timeout
number
allowCredentials
Array<object>
object
id
string
type
string
transports
Array<string>
userVerification
string
authenticatorSelection
object
authenticatorAttachment
string
requireResidentKey
boolean
userVerification
string
extensions
object
Examplegenerated
{ "challenge": "example", "rp": { "name": "example", "id": "example" }, "user": { "id": "example", "name": "example", "displayName": "example" }, "timeout": 1, "allowCredentials": [ { "id": "example", "type": "example", "transports": [ "example" ] } ], "userVerification": "example", "authenticatorSelection": { "authenticatorAttachment": "example", "requireResidentKey": true, "userVerification": "example" }, "extensions": {}}Bad Request. Usually due to missing parameters, or invalid parameters.
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Unauthorized. Due to missing or invalid authentication.
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Forbidden. You do not have permission to access this resource or to perform this action.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Not Found. The requested resource was not found.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Too Many Requests. You have exceeded the rate limit. Try again later.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Internal Server Error. This is a problem with the server that you cannot fix.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}